Why Security advisory doesn't affect dependent repositories?

Someone found issue in my repo jquery.terminal I’ve created Security Advisory but it’s Open, I have no idea how it works. The CVE got created but it don’t have any effect.

My other repo that use old version of a package don’t show any security issue.

Main repo: Security Advisories · jcubic/jquery.terminal · GitHub affected version <2.31.1
Dependent repo: GitHub - jcubic/electron-terminal: Base for jQuery Terminal based Electron apps that use version 1.x without any problem

What is the purpose of Security Advisory if it doesn’t work as expected. I was hoping that every project that use my library will be warned about security issue. This is how NPM reporting was working, the version was marked vulnerable, and everyone got notification when installing older version.

Why the same doesn’t work with GitHub Security Advisory?